function myCA = myFunCA(M,A,X,coeffs)
% Function to compute the CA through a correlation.
% INPUT:    
%       M       Mach Number
%       A       Altitude [m]
%       X       Aerobrakes extension [m]
%       coeffs  struct that contains the coefficients 
% 

myCA =  coeffs.n000 + ...
        coeffs.n100*M + coeffs.n200*M^2 + ...
        coeffs.n300*M^3 + coeffs.n400*M^4 + ...
        coeffs.n500*M^5 + coeffs.n600*M^6 + ...
        coeffs.n010*X + coeffs.n020*X^2 + ...
        coeffs.n110*X*M + coeffs.n120*X^2*M + ...
        coeffs.n210*X*M^2 + coeffs.n220*X^2*M^2 + ...
        coeffs.n310*X*M^3 + coeffs.n320*X^2*M^3 + ...
        coeffs.n410*X*M^4 + coeffs.n420*X^2*M^4 + ...
        coeffs.n510*X*M^5 + coeffs.n520*X^2*M^5 + ...
        coeffs.n001*A;

end